Page MenuHomePhabricator

Add support for language/toolbox SidebarBeforeOutput hook to Timeless
Closed, ResolvedPublic

Description

Following examples of https://gerrit.wikimedia.org/r/c/601089 and https://gerrit.wikimedia.org/r/c/601095 and https://gerrit.wikimedia.org/r/c/601176 in Cologne blue, Modern and Monobook (and Vector) let's make sure Timeless allows display of toolbox and language menu alterations in the skin.

Acceptance criteria

  • Make sure language_urls is no longer used - and getLanguages or sidebar['LANGUAGES"] is used instead.
  • Don't call TimelessTemplate::getToolbox - instead pass sidebar['TOOLBOX'] into getPageTools
  • Make sure when getAfterPortlet is non-empty, display is overriden.

Event Timeline

Ammarpad claimed this task.Jun 4 2020, 5:03 AM

I'm working on it :)

Change 602458 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/Timeless@master] Timeless: support SidebarBeforeOutput hook

https://gerrit.wikimedia.org/r/602458

Jdlrobson triaged this task as Medium priority.Jun 5 2020, 8:52 PM
Jdlrobson updated the task description. (Show Details)

Change 602458 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Timeless: support SidebarBeforeOutput hook

https://gerrit.wikimedia.org/r/602458

Jdlrobson closed this task as Resolved.Jun 10 2020, 8:34 PM
Jdlrobson updated the task description. (Show Details)